%define		php_name	php%{?php_suffix}
%define		modname	ktaglib
%define		status		beta
Summary:	library to edit audio properties and tags on MPEG and OGG files
Summary(pl.UTF-8):	biblioteka do edycji informacji w plikach MPEG i OGG
Name:		%{php_name}-pecl-%{modname}
Version:	0.3.0
Release:	1
License:	Modified BSD
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/KTagLib-0.2.0.tgz
# Source0-md5:	8c363e8c96eedd21ea652b280369d59b
Patch0:		prepatch.patch
Patch1:		branch.diff
# Patch1-md5:	538316f99b911d2820c1bc2692a31289
URL:		http://pecl.php.net/package/KTaglib/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.650
BuildRequires:	taglib-devel >= 1.5
%{?requires_php_extension}
Provides:	php(KTagLib) = %{version}
Obsoletes:	php-pecl-ktaglib < 0.2.0-7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KTaglib is a PHP binding for the KDE taglib, which reads and writes
tags for various audio files.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
KTaglib to dowiązania PHP do biblioteki KDE, pozwalającej na odczyt i
zapis metadanych w róznych plikach audio.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv KTaglib-*/* .
%patch0 -p1
%patch1 -p0

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Thu Apr 16 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-ktaglib.git;a=log;h=auto/th/php-pecl-ktaglib-0.3.0-1

* Sat May 17 2014 Elan Ruusamäe <glen@delfi.ee> e22e0dc
- add changes from ktaglib pecl svn, set version to 0.3.0

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 02e59f5
- obsolete old php name
- release 8 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> ecbed15
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 3866815
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 0e486c6
- use php(core) as dependency to require php version
- release 5 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> d0876e5
- release 5 (by relup.sh)

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 3893537
- BR: pkgconfig

* Sun Dec 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e28851
- release 4

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bb8fce7
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 87fd2c6
- release 2

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 8f5b26d
- strict ktaglib dep

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 4a042ca
- new

